/***************************************************************************
 *   Copyright (C) 2010 by Stephane List                                   *
 *   slist@lilotux.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "button_http.h"
#include <QDesktopServices>
#include <QUrl>
#include <QtDebug>

button_http::button_http(QWidget *parent) :
    QPushButton(parent)
{
    connect(this, SIGNAL(clicked()), this, SLOT(on_clicked()));

#if 0
    const QIcon *logo = new QIcon(":/http.png");
    setIcon(*logo);
    setToolTip("Visit this web site");
    setSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::Minimum);
#endif
    setToolTip("Visit this web site");
    setText("WWW");
}


void button_http::set_ip(const QString & ip)
{
    ip_ = ip;
}

void button_http::set_path(const QString & path)
{
    path_ = path;
}

void button_http::on_clicked()
{
    QUrl url("http://" + ip_ + path_);

    if (!url.isValid()) {
        qDebug() << "Invalid URL: " << url.toString();
        return;
    }
    QDesktopServices::openUrl(url);
}
